#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'rekanan.edit_bukti_pajak'}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'rekanan.home'}</a></li>
	<li class="active">&{'rekanan.data_penyedia'}</li>
</ul>

#{menuDataPenyedia /}
<div class="content">
	#{notifMigrasiSikap /}
    #{alert /}
    #{form @rekanan.PajakCtr.simpan(), id:'formEditPajak', method:'POST',enctype:'multipart/form-data'}
    	#{if pajak?.pjk_id}
            <input type="hidden" name="pajak.pjk_id" value="${pajak.pjk_id}" />
        #{/if}         
            <input type="hidden" name="pajak.pjk_npwp" value="-" />  <!--belum tahu ini benar apa tidak-->
         <div class="form-group row">
		    <label class="col-lg-2 col-form-label">Jenis Pajak <span class="warning">*</span></label>
		    <div class="col-lg-10 ">
		      <input type="text" name="pajak.pjk_jenis"  value="${pajak?.pjk_jenis}" class="form-control #{validate 'pajak.pjk_jenis'/}">
		      <div class="invalid-feedback">#{error 'pajak.pjk_jenis' /}</div>
		    </div>		    
		  </div> 		        		   
	      <div class="form-group row">
		    <label class="col-lg-2 col-form-label">Masa Pajak Tahunan <span class="warning">*</span></label>
                  <div class="col-lg-2">
                   <input id="masaPajak_tahun" name="pajak.pjk_tahun" value="${pajak?.pjk_tahun}" maxlength="4" class="form-control #{validate 'pajak.pjk_tahun'/}"/>
                   	 <div class="invalid-feedback">#{error 'pajak.pjk_tahun' /}</div>
                  </div>
		    </div>

		  <div class="form-group row">
		    <label class="col-lg-2 col-form-label">No. Bukti Penerimaan <span class="warning">*</span></label>
		    <div class="col-lg-10">
		      <input type="text" name="pajak.pjk_no" maxlength="40" value="${pajak?.pjk_no}" class="form-control #{validate 'pajak.pjk_no'/}">
		      	 <div class="invalid-feedback">#{error 'pajak.pjk_no' /}</div>
		    </div>
		  </div>  
		  <div class="form-group row">
		    <label class="col-lg-2 col-form-label">Tanggal Bukti Penerimaan <span class="warning">*</span></label>
		    <div class="col-lg-2">
		      		<div class="input-group date datepicker">
                        <input class="form-control datepicker #{validate 'pajak.pjk_tanggal'/}" name="pajak.pjk_tanggal" type="text" #{if pajak.pjk_tanggal == NULL}value=" "#{/if}#{else} value="${pajak?.pjk_tanggal?.toDatepicker()}" #{/else} />
						<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
						<div class="invalid-feedback">#{error 'pajak.pjk_tanggal' /}</div>
                    </div>
		    </div>
		  </div>
		  <div class="form-group row">
		    <div class="col-lg-offset-2 col-lg-10">
				#{if active_user.canEditDataPenyedia}
					#{saveButton /}
				#{/if}
        		#{backButton action:@rekanan.PajakCtr.list()/}
		    </div>
		  </div>        
	#{/form}	
	<div class="bs-callout bs-callout-warning">
        <span class="warning">*</span> Data ini wajib diisi.
	</div>
</div>

#{set 'custom_script'}
<script type="text/javascript">  
$(document).on('click', '.removeBtn', function(){
    $(this).parent().parent().remove()
 })
 
#{if !active_user.canEditDataPenyedia}
$(document).ready(function(){
	$("form input").attr('disabled','disabled');
	$("form select").attr('disabled','disabled');
	$("form button.btn-simpan").attr('disabled','disabled');
	$(".removeBtn").hide();
})
#{/if}
</script>
#{/set}